import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { optionsListApi } from '/@/api/tigerapi/wms/wms_item';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';

export const columns: BasicColumn[] = [
  {
    title: '单据代码',
    dataIndex: 'TRANS_NO',
    width: 200,
    sorter: true,
    resizable:true
  },
  {
    title: '条码',
    dataIndex: 'SN',
    width:300,
    sorter: true,
    resizable:true
  },
  {
    title: '物料代码',
    dataIndex: 'ITEM_CODE',
    width: 200,
    sorter: true,
    resizable:true
  },
  {
    title: '条码来源说明',
    dataIndex: 'TRACE_INFO',
    width:500,
    resizable:true
  },
  // {
  //   title: '条码类型',
  //   dataIndex: 'SN_TYPE',
  // },
  {
    title: '数量',
    dataIndex: 'QTY',
    sorter: true,
    resizable:true
  },
  {
    title: '原始箱号',
    dataIndex: 'CARTON_NO',
    width: 180,
    sorter: true,
    resizable:true
  },
  {
    title: '操作时间',
    dataIndex: 'CREATE_TIME',
    width: 180,
    sorter: true,
    resizable:true
  },
  {
    title: '储存状态',
    dataIndex: 'STATUS',
    width: 180,
    resizable:true,
    customRender: ({ record }) => {
      const status = record.STATUS;
      let text = '';
      let color = '';
      switch (status) {
        case 0:
          text = '不存在';
          color = 'green';
          break;
        case 10:
          text = '送货中';
          color = 'blue';
          break;
        case 20:
          text = '待检验';
          color = 'green';
          break;
        case 30:
          text = '待入库';
          color = 'blue';
          break;
        case 40:
          text = '在库中';
          color = 'blue';
          break;
        case 50:
          text = '已下架';
          color = 'green';
          break;
        case 60:
          text = '已发料';
          color = 'red';
          break;
        case 70:
          text = '已上料';
          color = 'red';
          break;
        case 80:
          text = '已耗尽';
          color = 'green';
          break;
        case 90:
          text = '已退料';
          color = 'green';
          break;
        case 100:
          text = '已发货';
          color = 'green';
          break;
        default:
          break;
      }
      return h(Tag, { color: color }, () => text);
    },
    sorter: true,
  },
  {
    title: '仓库',
    dataIndex: 'WH_CODE',
    width:100,
    sorter: true,
    resizable:true
  },
  {
    title: '储位',
    dataIndex: 'LOCATION_CODE',
    sorter: true,
    resizable:true
  },
  {
    title: '单位',
    dataIndex: 'UNIT',
    resizable:true
  },
  {
    title: '生产日期',
    dataIndex: 'PROD_DATE',
    resizable:true
  },
  {
    title: '首次入库日期',
    dataIndex: 'FIRST_IN_DATE',
    resizable:true
  },
  {
    title: '单据行号',
    dataIndex: 'TRANS_LINE',
    width:100,
    resizable:true
  },
  {
    title: '供应商代码',
    dataIndex: 'SUPP_CODE',
    width:100,
    resizable:true
  },
  {
    title: '供应商批次号',
    dataIndex: 'SUPP_LOTNO',
  },
  {
    title: '批次号',
    dataIndex: 'LOTNO',
    resizable:true
  },
  {
    title: '箱号',
    dataIndex: 'CARTON_NO',
    width:180,
    resizable:true
  },
  {
    title: '栈板号',
    dataIndex: 'PALLET_NO',
    width:180,
    resizable:true
  },
  {
    title: '更新人',
    dataIndex: 'UPDATE_USER',
    resizable:true
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'TRANS_NO',
    label: '单据代码',
    component: 'Input', 
    colProps: { span: 8 },
  },
  {
    field: 'SN',
    label: '条码',
    component: 'Input',
    colProps: { span: 8 },
  },
 
  {
    field: 'ITEM_CODE',
    label: '物料代码',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'TRACE_INFO',
    label: '条码来源说明',
    component: 'Input',
    colProps: { span: 8 },
  },
  
];
